/*
 * parvol.h - Volume rendering definitions etc.
 *
 *
 *  $Id: parvol.h,v 1.3 1997/10/30 08:10:22 johns Exp $
 */

typedef struct {
  void * nextobj;
  void (* intersect)(void *, void *);
  void (* normal)(void *, void *, void *, void *);
  texture * tex;
  vector min;
  vector max;
  flt ambient;
  flt diffuse;
  flt opacity;
  int samples;
  flt (* evaluator)(flt, flt, flt);
} parvol;

parvol * newparvol();
color par_volume_texture(vector *, texture *, ray *);


